{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 1.0, 44.0, 952.0, 591.0 ],
		"bglocked" : 0,
		"defrect" : [ 1.0, 44.0, 952.0, 591.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Steps for Success\n\nIn Your Mobile Device Settings\n1) Select the same WiFi service that this patch is running on (not UCI Webserver)\n\nIn Mrmr Client\n1) Choose \"1 Server(s) Detected\"\n2) Choose the available server\n3) Choose \"New\"\n4) Hit the Big Red Button",
					"linecount" : 11,
					"fontface" : 2,
					"fontsize" : 16.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-78",
					"numoutlets" : 0,
					"patching_rect" : [ 570.0, 330.0, 302.0, 209.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "if things go awry you can reset the coll w/ a goto message",
					"linecount" : 5,
					"fontsize" : 9.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-76",
					"numoutlets" : 0,
					"patching_rect" : [ 495.0, 390.0, 64.0, 58.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Big Red Button",
					"fontface" : 1,
					"fontsize" : 20.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-74",
					"numoutlets" : 0,
					"patching_rect" : [ 615.0, 60.0, 161.0, 29.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numinlets" : 1,
					"id" : "obj-72",
					"numoutlets" : 1,
					"patching_rect" : [ 405.0, 510.0, 20.0, 20.0 ],
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "route control message",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-67",
					"numoutlets" : 3,
					"patching_rect" : [ 405.0, 480.0, 129.0, 20.0 ],
					"outlettype" : [ "", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1) Patch binds to udp 1337\n\n2) Mrmr client recognizes bonjour service\n\n3) User selects the proper IP from client menu\n\n4) User selects either PLAY or NEW from the Mrmr main window\n\n5) Mrmr client sends a \"Present\" message with the device IP\n\n6) IP is parsed and sent to tcp object",
					"linecount" : 13,
					"fontsize" : 11.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-57",
					"numoutlets" : 0,
					"patching_rect" : [ 45.0, 90.0, 242.0, 171.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"outlinecolor" : [ 0.666667, 0.156863, 0.156863, 1.0 ],
					"numinlets" : 1,
					"id" : "obj-51",
					"numoutlets" : 1,
					"fgcolor" : [ 1.0, 0.0, 0.0, 1.0 ],
					"patching_rect" : [ 525.0, 30.0, 84.0, 84.0 ],
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1) Packet # exits tcp\n\n2) 0 is selected & delayed\n\n3) Bang passes the Gate\n\n4) Bang steps thru coll\n\n5) Message is parsed by route\n\n6) When the control line happens a bang is sent to the gate toggle stopping the process",
					"linecount" : 13,
					"fontsize" : 11.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-48",
					"numoutlets" : 0,
					"patching_rect" : [ 210.0, 345.0, 176.0, 171.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"id" : "obj-45",
					"numoutlets" : 1,
					"patching_rect" : [ 405.0, 345.0, 20.0, 20.0 ],
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "goto 0",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-65",
					"numoutlets" : 1,
					"patching_rect" : [ 450.0, 405.0, 44.0, 18.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "gate",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-55",
					"numoutlets" : 1,
					"patching_rect" : [ 405.0, 375.0, 49.0, 20.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "delay",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-50",
					"numoutlets" : 1,
					"patching_rect" : [ 435.0, 345.0, 39.0, 20.0 ],
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 0",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-47",
					"numoutlets" : 2,
					"patching_rect" : [ 435.0, 285.0, 36.0, 20.0 ],
					"outlettype" : [ "bang", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "next",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-7",
					"numoutlets" : 1,
					"patching_rect" : [ 405.0, 405.0, 33.0, 18.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "coll interface_test",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-33",
					"numoutlets" : 4,
					"patching_rect" : [ 405.0, 450.0, 108.0, 20.0 ],
					"outlettype" : [ "", "", "", "" ],
					"coll_data" : 					{
						"count" : 6,
						"data" : [ 							{
								"key" : 0,
								"value" : [ "message", "/mrmrIB", "pushbutton", "nil", 0.2, 4, 6, 1, 1, 1, 1, "what?" ]
							}
, 							{
								"key" : 1,
								"value" : [ "message", "/mrmrIB", "pushbutton", "nil", 0.2, 4, 6, 2, 2, 1, 1, "where?" ]
							}
, 							{
								"key" : 2,
								"value" : [ "message", "/mrmrIB", "pushbutton", "nil", 0.2, 4, 6, 3, 3, 1, 1, "why?" ]
							}
, 							{
								"key" : 3,
								"value" : [ "message", "/mrmrIB", "pushbutton", "nil", 0.2, 4, 6, 4, 4, 1, 1, "who?" ]
							}
, 							{
								"key" : 4,
								"value" : [ "message", "/mrmrIB", "tactilezone", "nil", 0.2, 4, 6, 1, 5, 4, 2, "NOW" ]
							}
, 							{
								"key" : 5,
								"value" : [ "control", "end" ]
							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"embed" : 1
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1) Registers a bonjour service (_osc.udp_) named \"Mrmr Server\" on port 1337\n\n2) Set's the delay times so the Mrmr commands don't get sent too fast.",
					"linecount" : 5,
					"fontsize" : 11.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-35",
					"numoutlets" : 0,
					"patching_rect" : [ 615.0, 195.0, 225.0, 70.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "80",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-40",
					"numoutlets" : 1,
					"patching_rect" : [ 510.0, 255.0, 32.5, 18.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print fail",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-41",
					"numoutlets" : 0,
					"patching_rect" : [ 375.0, 285.0, 53.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mxj net.tcp.send @port 31337",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-42",
					"numoutlets" : 4,
					"patching_rect" : [ 300.0, 240.0, 171.0, 20.0 ],
					"outlettype" : [ "", "", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print booyaa!",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-43",
					"numoutlets" : 0,
					"patching_rect" : [ 285.0, 285.0, 80.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-26",
					"numoutlets" : 1,
					"patching_rect" : [ 540.0, 210.0, 60.0, 20.0 ],
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "register",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-21",
					"numoutlets" : 1,
					"patching_rect" : [ 555.0, 255.0, 51.0, 18.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "js MrmrLink.js",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-13",
					"numoutlets" : 2,
					"patching_rect" : [ 300.0, 120.0, 84.0, 20.0 ],
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend parse",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-15",
					"numoutlets" : 1,
					"patching_rect" : [ 300.0, 90.0, 88.0, 20.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print osc",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-16",
					"numoutlets" : 0,
					"patching_rect" : [ 210.0, 90.0, 56.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "osc-route /mrmr",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-17",
					"numoutlets" : 2,
					"patching_rect" : [ 210.0, 60.0, 109.0, 20.0 ],
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend address",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-18",
					"numoutlets" : 1,
					"patching_rect" : [ 300.0, 150.0, 101.0, 20.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "udpreceive 1337",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-19",
					"numoutlets" : 1,
					"patching_rect" : [ 210.0, 30.0, 99.0, 20.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "/mrmrIB mrmr_clear_all",
					"fontsize" : 12.0,
					"numinlets" : 2,
					"fontname" : "Arial",
					"id" : "obj-12",
					"numoutlets" : 1,
					"patching_rect" : [ 315.0, 210.0, 136.0, 18.0 ],
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "oscbonjour register \"Mrmr Server\" 1337",
					"fontsize" : 12.0,
					"numinlets" : 1,
					"fontname" : "Arial",
					"id" : "obj-1",
					"numoutlets" : 3,
					"patching_rect" : [ 555.0, 285.0, 221.0, 20.0 ],
					"outlettype" : [ "", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"id" : "obj-52",
					"numoutlets" : 0,
					"bgcolor" : [ 0.917647, 0.941176, 0.447059, 1.0 ],
					"patching_rect" : [ 495.0, 180.0, 358.0, 137.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"id" : "obj-53",
					"numoutlets" : 0,
					"bgcolor" : [ 0.976471, 0.643137, 0.643137, 1.0 ],
					"patching_rect" : [ 15.0, 15.0, 465.0, 298.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"id" : "obj-54",
					"numoutlets" : 0,
					"bgcolor" : [ 0.984314, 0.709804, 0.372549, 1.0 ],
					"patching_rect" : [ 195.0, 330.0, 369.0, 210.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [ 309.5, 141.0, 309.5, 141.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-13", 0 ],
					"hidden" : 0,
					"midpoints" : [ 309.5, 111.0, 309.5, 111.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-50", 0 ],
					"destination" : [ "obj-55", 1 ],
					"hidden" : 0,
					"midpoints" : [ 444.5, 366.0, 444.5, 366.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-47", 0 ],
					"destination" : [ "obj-50", 0 ],
					"hidden" : 0,
					"midpoints" : [ 444.5, 306.0, 444.5, 306.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-40", 0 ],
					"destination" : [ "obj-50", 1 ],
					"hidden" : 0,
					"midpoints" : [ 519.5, 330.0, 464.5, 330.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-42", 2 ],
					"destination" : [ "obj-47", 0 ],
					"hidden" : 0,
					"midpoints" : [ 410.833344, 270.0, 444.5, 270.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 1 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [ 309.5, 81.0, 309.5, 81.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [ 219.5, 51.0, 219.5, 51.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [ 219.5, 81.0, 219.5, 81.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [ 549.5, 240.0, 564.5, 240.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [ 564.5, 273.0, 564.5, 273.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-42", 0 ],
					"destination" : [ "obj-43", 0 ],
					"hidden" : 0,
					"midpoints" : [ 309.5, 270.0, 297.0, 270.0, 297.0, 282.0, 294.5, 282.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-42", 1 ],
					"destination" : [ "obj-41", 0 ],
					"hidden" : 0,
					"midpoints" : [ 360.166656, 270.0, 384.5, 270.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [ 309.5, 171.0, 309.5, 171.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-45", 0 ],
					"destination" : [ "obj-55", 0 ],
					"hidden" : 0,
					"midpoints" : [ 414.5, 366.0, 414.5, 366.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [ 324.5, 228.0, 309.5, 228.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-12", 0 ],
					"hidden" : 0,
					"midpoints" : [ 534.5, 165.0, 411.0, 165.0, 411.0, 195.0, 324.5, 195.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-45", 0 ],
					"hidden" : 0,
					"midpoints" : [ 534.5, 165.0, 492.0, 165.0, 492.0, 330.0, 414.5, 330.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 549.5, 240.0, 519.5, 240.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-65", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 459.5, 435.0, 414.5, 435.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 414.5, 423.0, 414.5, 423.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-72", 0 ],
					"destination" : [ "obj-45", 0 ],
					"hidden" : 0,
					"midpoints" : [ 414.5, 531.0, 402.0, 531.0, 402.0, 342.0, 414.5, 342.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-67", 0 ],
					"hidden" : 0,
					"midpoints" : [ 414.5, 471.0, 414.5, 471.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-67", 1 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [ 469.5, 501.0, 402.0, 501.0, 402.0, 315.0, 366.0, 315.0, 366.0, 270.0, 297.0, 270.0, 297.0, 237.0, 309.5, 237.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-67", 0 ],
					"destination" : [ "obj-72", 0 ],
					"hidden" : 0,
					"midpoints" : [ 414.5, 501.0, 414.5, 501.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-55", 0 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [ 414.5, 396.0, 414.5, 396.0 ]
				}

			}
 ]
	}

}
